## ide-recent-projects

ide-recent-projects

## Functions

IdeRecentProjects * | ide_recent_projects_new ()
GPtrArray * | ide_recent_projects_get_projects ()
gboolean | ide_recent_projects_get_busy ()
void | ide_recent_projects_remove ()
void | ide_recent_projects_discover_async ()
gboolean | ide_recent_projects_discover_finish ()

## Types and Values

#define | IDE_TYPE_RECENT_PROJECTS
#define | IDE_RECENT_PROJECTS_GROUP
#define | IDE_RECENT_PROJECTS_LANGUAGE_GROUP_PREFIX
#define | IDE_RECENT_PROJECTS_BOOKMARK_FILENAME
| IdeRecentProjects

## Description

## Functions

### ide_recent_projects_new ()

    IdeRecentProjects *
    ide_recent_projects_new (void);

### ide_recent_projects_get_projects ()

    GPtrArray *
    ide_recent_projects_get_projects (IdeRecentProjects *self);

Gets a GPtrArray containing the IdeProjectInfo that have been discovered.

#### Returns

A GPtrArray of IdeProjectInfo.

[transfer container][element-type IdeProjectInfo*]

### ide_recent_projects_get_busy ()

    gboolean
    ide_recent_projects_get_busy (IdeRecentProjects *self);

### ide_recent_projects_remove ()

    void
    ide_recent_projects_remove (IdeRecentProjects *self,
                                GList *project_infos);

Removes the provided projects from the recent projects file.

#### Parameters

self | An IdeRecentProjects |
project_infos | A GList of IdeProjectInfo. | [transfer none][element-type IdeProjectInfo]

### ide_recent_projects_discover_async ()

    void
    ide_recent_projects_discover_async (IdeRecentProjects *self,
                                        gboolean recent_only,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

### ide_recent_projects_discover_finish ()

    gboolean
    ide_recent_projects_discover_finish (IdeRecentProjects *self,
                                         GAsyncResult *result,
                                         GError **error);

## Types and Values

### IDE_TYPE_RECENT_PROJECTS

    #define IDE_TYPE_RECENT_PROJECTS (ide_recent_projects_get_type())

### IDE_RECENT_PROJECTS_GROUP

    #define IDE_RECENT_PROJECTS_GROUP                 "X-GNOME-Builder-Project"

### IDE_RECENT_PROJECTS_LANGUAGE_GROUP_PREFIX

    #define IDE_RECENT_PROJECTS_LANGUAGE_GROUP_PREFIX "X-GNOME-Builder-Language:"

### IDE_RECENT_PROJECTS_BOOKMARK_FILENAME

    #define IDE_RECENT_PROJECTS_BOOKMARK_FILENAME     "recent-projects.xbel"

### IdeRecentProjects

    typedef struct _IdeRecentProjects IdeRecentProjects;